## org.codehaus.groovy.grails.orm.hibernate.validation
Interface PersistentConstraint

All Superinterfaces:
  ApplicationContextAware, Constraint

All Known Implementing Classes:
  AbstractPersistentConstraint, UniqueConstraint

    public interface PersistentConstraint

extends Constraint, ApplicationContextAware

Interface that defines a persistent constraint that evaluates the database.

Since:
  10-Nov-2005
Author:
  Graeme Rocher

Method Summary
`HibernateTemplate` `getHibernateTemplate()` Obtains the HibernateTemplate

Methods inherited from interface org.codehaus.groovy.grails.validation.Constraint
`getName, getPropertyName, setMessageSource, setOwningClass, setParameter, setPropertyName, supports, validate`

Methods inherited from interface org.springframework.context.ApplicationContextAware
`setApplicationContext`

Method Detail

### getHibernateTemplate

    HibernateTemplate getHibernateTemplate()

  Obtains the HibernateTemplate

  Returns:
    The HibernateTemplate instance

Copyright (c) 2005-2009 The Grails project